do
--create an instance of the IADS
iranIADS = SkynetIADS:create('IRAN')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
local iadsDebug = iranIADS:getDebugSettings()
iadsDebug.IADSStatus = false
iadsDebug.samWentDark = false
iadsDebug.contacts = false
iadsDebug.radarWentLive = false
iadsDebug.noWorkingCommmandCenter = false
iadsDebug.ewRadarNoConnection = false
iadsDebug.samNoConnection = false
iadsDebug.jammerProbability = false
iadsDebug.addedEWRadar = false
iadsDebug.hasNoPower = false
iadsDebug.harmDefence = false
iadsDebug.samSiteStatusEnvOutput = true
iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
iranIADS:addEarlyWarningRadarsByPrefix('EWR-IRAN')

--add all groups begining with group name 'SAM' to the IADS:
iranIADS:addSAMSitesByPrefix('SAM-IRAN')

--add a command center:
local cc1 = Unit.getByName('CC-IRAN Bandar Abbas')
iranIADS:addCommandCenter(cc1)
local cc2 = Unit.getByName('CC-IRAN Choghadak')
iranIADS:addCommandCenter(cc2)

---The Type54A that's standing in for the Sahand has a ridiculous radar.   Let's use it!
iranIADS:addEarlyWarningRadar('Sahand'):setHARMDetectionChance(90)

--Set golive so that aircraft are generally in kill zone by the time we can get a tracking solution (hopefully!).
iranIADS:getSAMSitesByPrefix('SAM-IRAN-SA-6'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_KILL_ZONE):setGoLiveRangeInPercent(110)
iranIADS:getSAMSitesByPrefix('SAM-IRAN-Hawk'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_KILL_ZONE)
iranIADS:getSAMSitesByPrefix('SAM-IRAN-SA-11'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_KILL_ZONE):setGoLiveRangeInPercent(105)

--all SA-10 and SA-2 sites shall act as EW sites, meaning their radars will be on all the time:
iranIADS:getSAMSitesByPrefix('SAM-IRAN-SA-10'):setActAsEW(true)
iranIADS:getSAMSitesByPrefix('SAM-IRAN-SA-2'):setActAsEW(true)

--Add point defense relationships
local abuMusaPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 Abu Musa Island')
iranIADS:getSAMSiteByGroupName('SAM-IRAN-Hawk Abu Musa Island'):addPointDefence(abuMusaPD)
iranIADS:getEarlyWarningRadarByUnitName('EWR-IRAN-P-19 Abu Musa'):addPointDefence(abuMusaPD)
local bandarAbbasPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 Bandar Abbas')
iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-10 Bandar Abbas'):addPointDefence(bandarAbbasPD):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)
iranIADS:getSAMSiteByGroupName('SAM-IRAN-Hawk Bandar Abbas'):addPointDefence(bandarAbbasPD)
local havadaryaPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 Havadarya')
iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-2 Havadarya'):addPointDefence(havadaryaPD)
local kishPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 Kish')
iranIADS:getEarlyWarningRadarByUnitName('EWR-IRAN-P-19 Kish'):addPointDefence(kishPD)
local vmPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 VM')
iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-10 Choghadak'):addPointDefence(vmPD):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)
iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-2 Choghadak'):addPointDefence(vmPD)
local xlPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 XL')
iranIADS:getSAMSiteByGroupName('SAM-IRAN-Hawk XL'):addPointDefence(xlPD)
local lavanPD = iranIADS:getSAMSiteByGroupName('SAM-IRAN-SA-15 Lavan')
iranIADS:getSAMSiteByGroupName('SAM-IRAN-Hawk Lavan Island'):addPointDefence(lavanPD)

--activate the radio menu to toggle IADS Status output
--iranIADS:addRadioMenu()

-- activate the IADS
iranIADS:activate()	

--end special code

------setup blue IADS:
--blueIADS = SkynetIADS:create('UAE')
--blueIADS:addSAMSitesByPrefix('BLUE-SAM')
--blueIADS:addEarlyWarningRadarsByPrefix('BLUE-EW')
--blueIADS:activate()
--blueIADS:addRadioMenu()

--local iadsDebug = blueIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.contacts = true

end